### Method

# GIRepository ObjectInfo get_constant

since: 2.80

#### Declaration

    GIConstantInfo*
    gi_object_info_get_constant (
      GIObjectInfo* info,
      unsigned int n
    )

#### Description

Obtain an object type constant at index `n`.

Available since: 2.80

#### Parameters

`n`

  Type: `unsigned int`

  Index of constant to get.

#### Return value

Type: `GIConstantInfo`

The `GIConstantInfo`. Free the struct by calling `gi_base_info_unref()` when done.

The caller of the method takes ownership of the data, and is responsible for freeing it.